ULPT(4)

NAME
ulpt - USB printer support

SYNOPSIS
ulpt* at uhub?

DESCRIPTION
The ulpt driver provides support for Universal Serial Bus (USB) printers that follow either the USB printer uni-directional or bi-directional protocol.

Additional bits OR-ed in the minor device number with the unit number select various features of the driver:

Minor Bit | Function
0x40 | “not initialize (reset) the device on the port.

Some printers cannot handle the reset on open; in case of problems try the ulpn device.

FILES

/dev/ulpt?
    USB printer with reset on open

/dev/ulpn?
    USB printer without reset on open

SEE ALSO
lpt(4), usb(4) USB Device Class Definition for Printing Devices, USB Implementors Forum, January 2000, http://www.usb.org/developers/devclass_docs/usbprint11.pdf.

HISTORY
The ulpt driver appeared in NetBSD 1.4.